petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatPartitioningCreate

Creates a partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningCreate(MPI_Comm comm,MatPartitioning *newp)

Collective on MPI_Comm

### Input Parameter

comm -MPI communicator

### Output Parameter

newp -location to put the context

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningApply(), MatPartitioningDestroy(),
MatPartitioningSetAdjacency()

Level:beginner
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html